﻿// CensusData.cs by Charles Petzold, September 2009
// Figures from http://en.wikipedia.org/wiki/United_States_Population
using System.Collections.ObjectModel;

namespace PopulationLineChart
{
    public class CensusData : ObservableCollection<CensusDatum>
    {
        public CensusData()
        {
            Add(new CensusDatum(1790,   3929214));
            Add(new CensusDatum(1800,   5236631));
            Add(new CensusDatum(1810,   7239881));
            Add(new CensusDatum(1820,   9638453));
            Add(new CensusDatum(1830,  12866020));
            Add(new CensusDatum(1840,  17069453));
            Add(new CensusDatum(1850,  23191876));
            Add(new CensusDatum(1860,  31443321));
            Add(new CensusDatum(1870,  38558371));
            Add(new CensusDatum(1880,  49371340));
            Add(new CensusDatum(1890,  62979766));
            Add(new CensusDatum(1900,  76212168));
            Add(new CensusDatum(1910,  92228496));
            Add(new CensusDatum(1920, 106021537));
            Add(new CensusDatum(1930, 123202624));
            Add(new CensusDatum(1940, 132164569));
            Add(new CensusDatum(1950, 151325798));
            Add(new CensusDatum(1960, 179323175));
            Add(new CensusDatum(1970, 203211926));
            Add(new CensusDatum(1980, 226545805));
            Add(new CensusDatum(1990, 248709873));
            Add(new CensusDatum(2000, 281421906));
        }
    }
}
