﻿using System.Windows;
using LineChartLib;

namespace TemperatureHistory
{
    public partial class Window1 : Window
    {
        // Central Park, NYC
        const string station = "KNYC";
        const string localFilename = "Temperatures_" + station + ".xml";

        public Window1()
        {
            InitializeComponent();

            LocationTemperatures locationTemperatures = LocationTemperatures.LoadData(station, localFilename);
            (FindResource("generator") as LineChartGenerator).ItemsSource = locationTemperatures.TemperatureReadings;
        }
    }
 }
